### File

`packages/eui/packages/components-next/src/lib/components/eui-date-range-selector/eui-date-range-selector.component.ts`

### Implements

`OnInit` `AfterContentInit` `OnDestroy` `ControlValueAccessor` `DoCheck` `OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-date-range-selector`
styleUrls | `./styles/eui-date-range-selector.scss`
templateUrl | `./eui-date-range-selector.component.html`

### Index

###### Properties

- Public endRangeFormControl
- selectedDates
- Public startRangeFormControl

###### Methods

- Public onFirstDateChange
- Public onSecondDateChange
- registerOnChange
- registerOnTouched
- Public Optional setDisabledState
- writeValue

###### Inputs

- comparisonEnd
- comparisonStart
- disableButton
- e2eAttr
- endDateDefaultValue
- firstInputPlaceholder
- isDisabled
- longDateFormat
- maxDate
- minDate
- noButton
- secondInputPlaceholder
- startDateDefaultValue
- styleClass
- togglerIcon
- togglerLabel

###### Outputs

- firstSelectedDate
- secondSelectedDate

### Constructor

`constructor(translateService: TranslateService, control: NgControl)`

Parameters :

Name | Type | Optional
translateService | `TranslateService` | No
control | `NgControl` | No

### Inputs

comparisonEnd
Type : `Date`

comparisonStart
Type : `Date`

disableButton
Default value : `false`

e2eAttr
Default value : `'eui-date-range-selector'`

endDateDefaultValue
Type : `Date`

firstInputPlaceholder
Type : `string`

isDisabled
Default value : `false`

longDateFormat
Default value : `false`

maxDate
Type : `Date`

minDate
Type : `Date`

noButton
Default value : `true`

secondInputPlaceholder
Type : `string`

startDateDefaultValue
Type : `Date`

styleClass
Default value : `''`

togglerIcon
Default value : `'eui-icon-calendar'`

togglerLabel
Type : `string`

### Outputs

firstSelectedDate
Type : `EventEmitter`

secondSelectedDate
Type : `EventEmitter`

### Methods

Public onFirstDateChange
`onFirstDateChange(e: MatDatepickerInputEvent<any>)`

Parameters :

Name | Type | Optional
e | `MatDatepickerInputEvent<any>` | No

Returns : `void`

Public onSecondDateChange
`onSecondDateChange(e: MatDatepickerInputEvent<any>)`

Parameters :

Name | Type | Optional
e | `MatDatepickerInputEvent<any>` | No

Returns : `void`

registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

Public Optional setDisabledState
`setDisabledState(isDisabled: boolean)`

Parameters :

Name | Type | Optional
isDisabled | `boolean` | No

Returns : `void`

writeValue
`writeValue(values: EuiDateRangeSelectorDates)`

Parameters :

Name | Type | Optional
values | `EuiDateRangeSelectorDates` | No

Returns : `void`

### Properties

Public endRangeFormControl
Default value : `new FormControl()`

selectedDates
Type : `EuiDateRangeSelectorDates`
Default value : `new EuiDateRangeSelectorDates()`

Public startRangeFormControl
Default value : `new FormControl()`

# result-matching ""

# No results matching ""